Bug 1202845 - --copyin has gotten noisy
Summary: --copyin has gotten noisy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 14:38 UTC by Eric Schnoebelen
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:54 UTC
Type: Bug


Attachments (Terms of Use)
patch to remove debugging statements in copyin. (508 bytes, patch)
2015-03-17 14:38 UTC, Eric Schnoebelen
no flags Details | Diff

Description Eric Schnoebelen 2015-03-17 14:38:19 UTC
Created attachment 1002833 [details]
patch to remove debugging statements in copyin.

Description of problem:
Some debugging messages appear to have been left in the copyin functionality of mock.

Version-Release number of selected component (if applicable):
1.2.7 (git "master" tip.)

How reproducible:
mock -q -r <config> --copyin <src> <dest>

Steps to Reproduce:
1.
2.
3.

Actual results:
+ mock -q -r ues-5-x86_64 --resultdir /var/tmp/ues-5-x86_64-UES_201503/repo --copyin /var/tmp/ues-5-x86_64-UES_201503/isoimage/ /var/tmp/isoimage/
/var/tmp/ues-5-x86_64-UES_201503/isoimage/
/var/lib/mock/ues-5-x86_64/root/var/tmp/isoimage/

Expected results:
+ mock -q -r ues-5-x86_64 --resultdir /var/tmp/ues-5-x86_64-UES_201503/repo --copyin /var/tmp/ues-5-x86_64-UES_201503/isoimage/ /var/tmp/isoimage/


Additional info:
The extra noise appears to be from a pair of (debugging?) prints added to the directory copy portion of do_commands for options.mode="copyin".  The two prints, just before the call to shutil.copytree(), print out the source and the destination.

Comment 1 Miroslav Suchý 2015-04-21 16:13:30 UTC
Commited as:
* 708ecb7 remove forgotten print statement [RHBZ#1202845]

Thank you

Comment 2 Fedora Update System 2015-04-29 13:16:40 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 3 Fedora Update System 2015-04-29 13:17:04 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 4 Fedora Update System 2015-04-29 13:17:51 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 5 Fedora Update System 2015-04-29 13:19:08 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 6 Fedora Update System 2015-04-29 13:25:27 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 7 Fedora Update System 2015-04-29 19:18:49 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-05-01 16:50:54 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-05-02 18:08:33 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-12 20:47:03 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-06-04 11:41:45 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 12 Fedora Update System 2015-06-04 11:42:45 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 13 Fedora Update System 2015-06-20 21:10:20 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-06-20 21:13:09 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.